diff -r -u kinput2-v3.1.orig/lib/Canna.c kinput2-v3.1/lib/Canna.c
--- kinput2-v3.1.orig/lib/Canna.c	Thu Oct  3 18:35:27 2002
+++ kinput2-v3.1/lib/Canna.c	Mon Dec  8 03:08:23 2003
@@ -61,6 +61,10 @@
 #include "CannaP.h"
 #include "DebugPrint.h"
 
+/* Canna 3.7$B0J9_$O$3$N$h$&$KDj5A$9$k(B */
+#define CANNA_WCHAR16
+#define CANNA_NEW_WCHAR_AWARE
+/* Canna 3.6$B$^$G$N>l9g(B */
 #define _WCHAR_T /* $B$3$NDj5A$O(B jrkanji.h $B$G(B wcKanjiStatus $B$J$I$rDj5A$9$k$?$a(B */
 #define wchar_t wchar
 
@@ -271,7 +275,7 @@
 
     /* $B$+$J4A;zJQ49$9$k(B */
     len = wcKanjiString((int)obj, (int)buf[0],
-			(wchar_t *)buf, 1024, &kanji_status);
+			(wchar *)buf, 1024, &kanji_status);
 
     displayPreEdit(obj, len, buf, &kanji_status);
     return (kanji_status.info & KanjiThroughInfo) ? 1 : 0;
@@ -642,7 +646,9 @@
 CannaObject obj;
 {
   char **warn = 0;
+#ifndef CANNA_JR_BEEP_FUNC_DECLARED
   extern (*jrBeepFunc)();
+#endif
 
   if (nCannaContexts == 0) {
 #ifdef KC_SETSERVERNAME
